All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
ScopeGuardImpl0< F > Class Template Reference

scope guard class More...

`#include <ScopeGuard.h>`

Inheritance diagram for ScopeGuardImpl0< F >:
[legend]
Collaboration diagram for ScopeGuardImpl0< F >:
[legend]

## Detailed Description

### template<typename F>
class ScopeGuardImpl0< F >

scope guard class

The documentation for this class was generated from the following file:

- include/qore/ScopeGuard.h (5431)